curl --request GET \
--url https://api.shoppex.io/dev/v1/products/{uniqid}/variants \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"uniqid": "<string>",
"product_uniqid": "<string>",
"title": "<string>",
"description": "<string>",
"price": 123,
"price_modifier": 123,
"stock": 123,
"stock_delimiter": "<string>",
"license_period": 123,
"is_default": true,
"sort_order": 123,
"created_at": 123,
"updated_at": 123,
"option_values": null
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true
}
}Returns a paginated list of variants for a specific product
curl --request GET \
--url https://api.shoppex.io/dev/v1/products/{uniqid}/variants \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"uniqid": "<string>",
"product_uniqid": "<string>",
"title": "<string>",
"description": "<string>",
"price": 123,
"price_modifier": 123,
"stock": 123,
"stock_delimiter": "<string>",
"license_period": 123,
"is_default": true,
"sort_order": 123,
"created_at": 123,
"updated_at": 123,
"option_values": null
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true
}
}Use your API key with the Bearer scheme. Get your key from Dashboard → Settings → API Keys. Format: Authorization: Bearer shx_...
Product uniqid